## ros-iron-ament-copyright 0.14.2

=== debian/changelog ===
ros-iron-ament-copyright (0.14.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-ament-copyright (0.14.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-ament-copyright (0.14.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-ament-copyright (0.13.2-1jammy) jammy; urgency=high

  * Support for matching license header within multiline comment block (#361 <https://github.com/ament/ament_lint/issues/361>)
  * Improved licencse matching (#358 <https://github.com/ament/ament_lint/issues/358>)
  * Updated regex and adding test cases for copyright search (#363 <https://github.com/ament/ament_lint/issues/363>)
  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: Will, methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-ament-copyright (0.13.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 08 May 2022 16:00:00 -0000

ros-iron-ament-copyright (0.13.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-ament-copyright (0.12.3-1jammy) jammy; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#365 <https://github.com/ament/ament_lint/issues/365>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-ament-copyright (0.12.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-ament-copyright (0.12.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-ament-copyright (0.12.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 16:00:00 -0000

ros-iron-ament-copyright (0.11.4-1jammy) jammy; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ament-copyright (0.11.3-1jammy) jammy; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * [ament_copyright] Fix file exclusion behavior (#327 <https://github.com/ament/ament_lint/issues/327>)
    * [ament_copyright] Fix file exclusion behavior
    This commit fixes the faulty file exclusion behavior reported in
    https://github.com/ament/ament_lint/issues/326.
    Specifically, the exclusion list is matched against traversed
    files in the crawler module.
    Changes inspired by https://github.com/ament/ament_lint/pull/299/.
    * Update excluded file path in copyright tests
    Since file names are not indiscriminately matched throughout the
    search tree anymore, the excluded files listed in the copyright
    tests need to be updated relative to the root of the package.
    * Add test cases to check exclusion behavior
    Specifically, these tests check for:
    - Incorrect exclusion of single filenames.
    - Correct exclusion of relatively/absolutely addressed filenames.
    - Correct exclusion of wildcarded paths.
    * Add unit tests for crawler module
    These unit tests make sure both search and exclusion behaviors are
    correctly demonstrated by the ament_copyright.crawler module.
  * Contributors: Abrar Rahman Protyasha, Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ament-copyright (0.11.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 16:00:00 -0000

ros-iron-ament-copyright (0.11.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 16:00:00 -0000

ros-iron-ament-copyright (0.11.0-1jammy) jammy; urgency=high

  * Add SPDX identifiers to the licenses. (#315 <https://github.com/ament/ament_lint/issues/315>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 16:00:00 -0000

ros-iron-ament-copyright (0.10.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 16:00:00 -0000

ros-iron-ament-copyright (0.10.5-1jammy) jammy; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Apr 2021 16:00:00 -0000

ros-iron-ament-copyright (0.10.4-1jammy) jammy; urgency=high

  * Use non-blind except for open() (#307 <https://github.com/ament/ament_lint/issues/307>)
  * Add optional file header style (#304 <https://github.com/ament/ament_lint/issues/304>)
    * Add optional file header style
    * Fix test on ament_copyright
  * Contributors: Alfi Maulana, Christophe Bedard

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-ament-copyright (0.10.3-1jammy) jammy; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Mar 2021 16:00:00 -0000

ros-iron-ament-copyright (0.10.2-1jammy) jammy; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)

